package com.uas.platform.home.core.support;

import com.uas.account.entity.UserView;

/**
 * 每次请求服务器时，用户信息存放在本次线程中
 * 
 * @author yingp
 * 
 */
public class SystemSession {

	private static ThreadLocal<UserView> local = new ThreadLocal<UserView>();

	public static void setUser(UserView session) {
		local.set(session);
	}

	public static UserView getUser() {
		return local.get();
	}

	public static void clear() {
		local.set(null);
	}

}
